--------------------------------------------------------------------------------
-- An example of a chip design: Quadruple multiplexer of 2 channels: Quad_MUX_2
-- Circuit truth table like the classic chip type 74LS158)
---------------------------------------------------
-- Plan B: Behavioural algorithm to translate the truth table.
-- Exercises P2 - P3  - CSD 
-- http://digsys.upc.edu
--------------------------------------------------------------------------------

LIBRARY ieee;
USE  IEEE.STD_LOGIC_1164.all;

ENTITY Quad_MUX_2 IS
		PORT (
			Ch0, Ch1	: 	IN 	STD_LOGIC_VECTOR(3 downto 0);  -- 4 bits per channel
			S			:	IN 	STD_LOGIC;	-- to select 2 channels
			E_L			: 	IN 	STD_LOGIC;
			Y			: 	OUT	STD_LOGIC_VECTOR(3 downto 0)
		  );
END Quad_MUX_2;

ARCHITECTURE algorithm OF Quad_MUX_2 IS  

BEGIN
-- Algorithm: 
	PROCESS ( E_L, S, Ch1,Ch0)
		BEGIN
			IF E_L = '1' THEN
				Y <= "0000";	-- disable
			ELSE
				IF S = '0' THEN	Y <= Ch0;
					ELSE 		Y <= Ch1;
				END IF ;			
			END IF ;
	END PROCESS;
			   	 		 		   	   
END algorithm;
