-- Copyright (C) 2020  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 20.1.1 Build 720 11/11/2020 SJ Lite Edition"

-- DATE "11/09/2023 20:08:26"

-- 
-- Device: Altera 10M50DAF484C7G Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	hard_block IS
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic
	);
END hard_block;

-- Design Ports Information
-- ~ALTERA_TMS~	=>  Location: PIN_H2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TCK~	=>  Location: PIN_G2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDI~	=>  Location: PIN_L4,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDO~	=>  Location: PIN_M5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_CONFIG_SEL~	=>  Location: PIN_H10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_nCONFIG~	=>  Location: PIN_H9,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_nSTATUS~	=>  Location: PIN_G9,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_CONF_DONE~	=>  Location: PIN_F8,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default


ARCHITECTURE structure OF hard_block IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \~ALTERA_TMS~~padout\ : std_logic;
SIGNAL \~ALTERA_TCK~~padout\ : std_logic;
SIGNAL \~ALTERA_TDI~~padout\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \~ALTERA_TMS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TCK~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TDI~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;

BEGIN

ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
END structure;


LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	Circuit_async_top IS
    PORT (
	OSC_CLK_in : IN std_logic;
	CD_L : IN std_logic;
	CP_L : IN std_logic;
	Sel_CLK : IN std_logic;
	Sel_freq : IN std_logic;
	Sel_code : IN std_logic;
	A_L : OUT std_logic;
	B_L : OUT std_logic;
	C_L : OUT std_logic;
	D_L : OUT std_logic;
	E_L : OUT std_logic;
	F_L : OUT std_logic;
	G_L : OUT std_logic;
	TS_L1 : OUT std_logic;
	TS_L2 : OUT std_logic;
	SEG_L : OUT std_logic_vector(15 DOWNTO 0);
	LED : OUT std_logic_vector(3 DOWNTO 0);
	LED4 : OUT std_logic;
	LED5 : OUT std_logic;
	LED6 : OUT std_logic;
	LED7 : OUT std_logic;
	LED8 : OUT std_logic;
	LED9 : OUT std_logic
	);
END Circuit_async_top;

-- Design Ports Information
-- A_L	=>  Location: PIN_C14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B_L	=>  Location: PIN_E15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C_L	=>  Location: PIN_C15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- D_L	=>  Location: PIN_C16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- E_L	=>  Location: PIN_E16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- F_L	=>  Location: PIN_D17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- G_L	=>  Location: PIN_C17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- TS_L1	=>  Location: PIN_D18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- TS_L2	=>  Location: PIN_E18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[0]	=>  Location: PIN_J20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[1]	=>  Location: PIN_F18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[2]	=>  Location: PIN_F21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[3]	=>  Location: PIN_B20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[4]	=>  Location: PIN_A18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[5]	=>  Location: PIN_A17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[6]	=>  Location: PIN_A19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[7]	=>  Location: PIN_A21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[8]	=>  Location: PIN_D22,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[9]	=>  Location: PIN_C19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[10]	=>  Location: PIN_F17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[11]	=>  Location: PIN_J18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[12]	=>  Location: PIN_L19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[13]	=>  Location: PIN_N18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[14]	=>  Location: PIN_M20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[15]	=>  Location: PIN_N19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[0]	=>  Location: PIN_A8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[1]	=>  Location: PIN_A9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[2]	=>  Location: PIN_A10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[3]	=>  Location: PIN_B10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED4	=>  Location: PIN_D13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED5	=>  Location: PIN_C13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED6	=>  Location: PIN_E14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED7	=>  Location: PIN_D14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED8	=>  Location: PIN_A11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED9	=>  Location: PIN_B11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_code	=>  Location: PIN_F15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CD_L	=>  Location: PIN_B8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_freq	=>  Location: PIN_C11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_CLK	=>  Location: PIN_C10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- OSC_CLK_in	=>  Location: PIN_P11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CP_L	=>  Location: PIN_A7,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF Circuit_async_top IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_OSC_CLK_in : std_logic;
SIGNAL ww_CD_L : std_logic;
SIGNAL ww_CP_L : std_logic;
SIGNAL ww_Sel_CLK : std_logic;
SIGNAL ww_Sel_freq : std_logic;
SIGNAL ww_Sel_code : std_logic;
SIGNAL ww_A_L : std_logic;
SIGNAL ww_B_L : std_logic;
SIGNAL ww_C_L : std_logic;
SIGNAL ww_D_L : std_logic;
SIGNAL ww_E_L : std_logic;
SIGNAL ww_F_L : std_logic;
SIGNAL ww_G_L : std_logic;
SIGNAL ww_TS_L1 : std_logic;
SIGNAL ww_TS_L2 : std_logic;
SIGNAL ww_SEG_L : std_logic_vector(15 DOWNTO 0);
SIGNAL ww_LED : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_LED4 : std_logic;
SIGNAL ww_LED5 : std_logic;
SIGNAL ww_LED6 : std_logic;
SIGNAL ww_LED7 : std_logic;
SIGNAL ww_LED8 : std_logic;
SIGNAL ww_LED9 : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC2~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \Chip2|Chip4|current_state~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \OSC_CLK_in~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC2~~eoc\ : std_logic;
SIGNAL \A_L~output_o\ : std_logic;
SIGNAL \B_L~output_o\ : std_logic;
SIGNAL \C_L~output_o\ : std_logic;
SIGNAL \D_L~output_o\ : std_logic;
SIGNAL \E_L~output_o\ : std_logic;
SIGNAL \F_L~output_o\ : std_logic;
SIGNAL \G_L~output_o\ : std_logic;
SIGNAL \TS_L1~output_o\ : std_logic;
SIGNAL \TS_L2~output_o\ : std_logic;
SIGNAL \SEG_L[0]~output_o\ : std_logic;
SIGNAL \SEG_L[1]~output_o\ : std_logic;
SIGNAL \SEG_L[2]~output_o\ : std_logic;
SIGNAL \SEG_L[3]~output_o\ : std_logic;
SIGNAL \SEG_L[4]~output_o\ : std_logic;
SIGNAL \SEG_L[5]~output_o\ : std_logic;
SIGNAL \SEG_L[6]~output_o\ : std_logic;
SIGNAL \SEG_L[7]~output_o\ : std_logic;
SIGNAL \SEG_L[8]~output_o\ : std_logic;
SIGNAL \SEG_L[9]~output_o\ : std_logic;
SIGNAL \SEG_L[10]~output_o\ : std_logic;
SIGNAL \SEG_L[11]~output_o\ : std_logic;
SIGNAL \SEG_L[12]~output_o\ : std_logic;
SIGNAL \SEG_L[13]~output_o\ : std_logic;
SIGNAL \SEG_L[14]~output_o\ : std_logic;
SIGNAL \SEG_L[15]~output_o\ : std_logic;
SIGNAL \LED[0]~output_o\ : std_logic;
SIGNAL \LED[1]~output_o\ : std_logic;
SIGNAL \LED[2]~output_o\ : std_logic;
SIGNAL \LED[3]~output_o\ : std_logic;
SIGNAL \LED4~output_o\ : std_logic;
SIGNAL \LED5~output_o\ : std_logic;
SIGNAL \LED6~output_o\ : std_logic;
SIGNAL \LED7~output_o\ : std_logic;
SIGNAL \LED8~output_o\ : std_logic;
SIGNAL \LED9~output_o\ : std_logic;
SIGNAL \Sel_freq~input_o\ : std_logic;
SIGNAL \OSC_CLK_in~input_o\ : std_logic;
SIGNAL \Chip2|Chip5|current_state~0_combout\ : std_logic;
SIGNAL \CD_L~input_o\ : std_logic;
SIGNAL \OSC_CLK_in~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[0]~17_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[6]~30\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[7]~31_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[7]~32\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[8]~33_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[8]~34\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[9]~35_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[9]~36\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[10]~37_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[10]~38\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[11]~39_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[11]~40\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[12]~41_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[12]~42\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[13]~43_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[13]~44\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[14]~45_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[14]~46\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[15]~47_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[15]~48\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[16]~49_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~3_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~0_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~4_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~2_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~0_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[0]~18\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~19_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~20\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[2]~21_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[2]~22\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~23_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~24\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[4]~25_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[4]~26\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[5]~27_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[5]~28\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[6]~29_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~5_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[0]~5_combout\ : std_logic;
SIGNAL \Chip2|Chip2|LessThan0~0_combout\ : std_logic;
SIGNAL \Chip2|Chip2|LessThan0~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~6_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[0]~6\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[1]~7_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[1]~8\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[2]~9_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[2]~10\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[3]~11_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[3]~12\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[4]~13_combout\ : std_logic;
SIGNAL \Chip2|Chip2|TC20~0_combout\ : std_logic;
SIGNAL \Chip2|Chip2|TC20~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~7_combout\ : std_logic;
SIGNAL \Chip2|Chip2|TC20~combout\ : std_logic;
SIGNAL \Chip2|Chip5|current_state~q\ : std_logic;
SIGNAL \Chip2|Chip3|future_state~1_combout\ : std_logic;
SIGNAL \Chip2|Chip3|future_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip3|future_state~3_combout\ : std_logic;
SIGNAL \Chip2|Chip3|future_state~2_combout\ : std_logic;
SIGNAL \Chip2|Chip3|TC10~0_combout\ : std_logic;
SIGNAL \Chip2|Chip6|current_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip6|current_state~q\ : std_logic;
SIGNAL \Chip3|Y~0_combout\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~q\ : std_logic;
SIGNAL \CP_L~input_o\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~clkctrl_outclk\ : std_logic;
SIGNAL \Chip9|next_state.One_zero_detected~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.One_zero_detected~q\ : std_logic;
SIGNAL \Chip9|next_state.Two_zeroes_detected~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.Two_zeroes_detected~q\ : std_logic;
SIGNAL \Chip9|next_state.Three_zeroes_detected~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.Three_zeroes_detected~feeder_combout\ : std_logic;
SIGNAL \Chip9|current_state.Three_zeroes_detected~q\ : std_logic;
SIGNAL \Chip9|next_state.One_high~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.One_high~q\ : std_logic;
SIGNAL \Chip9|Selector0~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.Key_presed~q\ : std_logic;
SIGNAL \Chip9|next_state.Idle~0_combout\ : std_logic;
SIGNAL \Chip9|current_state.Idle~q\ : std_logic;
SIGNAL \Chip9|WideOr0~0_combout\ : std_logic;
SIGNAL \Sel_CLK~input_o\ : std_logic;
SIGNAL \Chip4|Y~0_combout\ : std_logic;
SIGNAL \Chip1|Chip1|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip1|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip1|Chip1|current_state~q\ : std_logic;
SIGNAL \Chip1|Chip2|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip2|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip1|Chip2|current_state~q\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~q\ : std_logic;
SIGNAL \Chip1|Chip4|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip4|current_state~q\ : std_logic;
SIGNAL \Sel_code~input_o\ : std_logic;
SIGNAL \Chip7|Y~2_combout\ : std_logic;
SIGNAL \Chip7|Y~1_combout\ : std_logic;
SIGNAL \Chip7|Y~0_combout\ : std_logic;
SIGNAL \Chip8|A_L~0_combout\ : std_logic;
SIGNAL \Chip8|B_L~0_combout\ : std_logic;
SIGNAL \Chip8|C_L~0_combout\ : std_logic;
SIGNAL \Chip8|D_L~0_combout\ : std_logic;
SIGNAL \Chip8|E_L~0_combout\ : std_logic;
SIGNAL \Chip8|F_L~0_combout\ : std_logic;
SIGNAL \Chip8|G_L~0_combout\ : std_logic;
SIGNAL \Chip8|G_L~1_combout\ : std_logic;
SIGNAL \TS~0_combout\ : std_logic;
SIGNAL \Chip5|Mux15~0_combout\ : std_logic;
SIGNAL \Chip5|Mux15~1_combout\ : std_logic;
SIGNAL \Chip5|Mux15~2_combout\ : std_logic;
SIGNAL \Chip5|Mux15~3_combout\ : std_logic;
SIGNAL \Chip5|Mux15~4_combout\ : std_logic;
SIGNAL \Chip5|Mux15~5_combout\ : std_logic;
SIGNAL \Chip5|Mux15~6_combout\ : std_logic;
SIGNAL \Chip5|Mux15~7_combout\ : std_logic;
SIGNAL \Chip5|Mux15~8_combout\ : std_logic;
SIGNAL \Chip5|Mux15~9_combout\ : std_logic;
SIGNAL \Chip5|Mux15~10_combout\ : std_logic;
SIGNAL \Chip5|Mux15~11_combout\ : std_logic;
SIGNAL \Chip5|Mux15~12_combout\ : std_logic;
SIGNAL \Chip5|Mux15~13_combout\ : std_logic;
SIGNAL \Chip5|Mux15~14_combout\ : std_logic;
SIGNAL \Chip5|Mux15~15_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \Chip2|Chip1|present_state\ : std_logic_vector(16 DOWNTO 0);
SIGNAL \Chip2|Chip3|present_state\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Chip5|ALT_INV_Mux15~15_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~14_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~13_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~12_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~11_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~10_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~9_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~8_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~7_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~6_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~5_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~4_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~3_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~2_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~1_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~0_combout\ : std_logic;
SIGNAL \ALT_INV_TS~0_combout\ : std_logic;

COMPONENT hard_block
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic);
END COMPONENT;

BEGIN

ww_OSC_CLK_in <= OSC_CLK_in;
ww_CD_L <= CD_L;
ww_CP_L <= CP_L;
ww_Sel_CLK <= Sel_CLK;
ww_Sel_freq <= Sel_freq;
ww_Sel_code <= Sel_code;
A_L <= ww_A_L;
B_L <= ww_B_L;
C_L <= ww_C_L;
D_L <= ww_D_L;
E_L <= ww_E_L;
F_L <= ww_F_L;
G_L <= ww_G_L;
TS_L1 <= ww_TS_L1;
TS_L2 <= ww_TS_L2;
SEG_L <= ww_SEG_L;
LED <= ww_LED;
LED4 <= ww_LED4;
LED5 <= ww_LED5;
LED6 <= ww_LED6;
LED7 <= ww_LED7;
LED8 <= ww_LED8;
LED9 <= ww_LED9;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\~QUARTUS_CREATED_ADC2~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\Chip2|Chip4|current_state~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \Chip2|Chip4|current_state~q\);

\OSC_CLK_in~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \OSC_CLK_in~input_o\);
\Chip5|ALT_INV_Mux15~15_combout\ <= NOT \Chip5|Mux15~15_combout\;
\Chip5|ALT_INV_Mux15~14_combout\ <= NOT \Chip5|Mux15~14_combout\;
\Chip5|ALT_INV_Mux15~13_combout\ <= NOT \Chip5|Mux15~13_combout\;
\Chip5|ALT_INV_Mux15~12_combout\ <= NOT \Chip5|Mux15~12_combout\;
\Chip5|ALT_INV_Mux15~11_combout\ <= NOT \Chip5|Mux15~11_combout\;
\Chip5|ALT_INV_Mux15~10_combout\ <= NOT \Chip5|Mux15~10_combout\;
\Chip5|ALT_INV_Mux15~9_combout\ <= NOT \Chip5|Mux15~9_combout\;
\Chip5|ALT_INV_Mux15~8_combout\ <= NOT \Chip5|Mux15~8_combout\;
\Chip5|ALT_INV_Mux15~7_combout\ <= NOT \Chip5|Mux15~7_combout\;
\Chip5|ALT_INV_Mux15~6_combout\ <= NOT \Chip5|Mux15~6_combout\;
\Chip5|ALT_INV_Mux15~5_combout\ <= NOT \Chip5|Mux15~5_combout\;
\Chip5|ALT_INV_Mux15~4_combout\ <= NOT \Chip5|Mux15~4_combout\;
\Chip5|ALT_INV_Mux15~3_combout\ <= NOT \Chip5|Mux15~3_combout\;
\Chip5|ALT_INV_Mux15~2_combout\ <= NOT \Chip5|Mux15~2_combout\;
\Chip5|ALT_INV_Mux15~1_combout\ <= NOT \Chip5|Mux15~1_combout\;
\Chip5|ALT_INV_Mux15~0_combout\ <= NOT \Chip5|Mux15~0_combout\;
\ALT_INV_TS~0_combout\ <= NOT \TS~0_combout\;
auto_generated_inst : hard_block
PORT MAP (
	devoe => ww_devoe,
	devclrn => ww_devclrn,
	devpor => ww_devpor);

-- Location: LCCOMB_X44_Y51_N6
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X58_Y54_N16
\A_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|A_L~0_combout\,
	devoe => ww_devoe,
	o => \A_L~output_o\);

-- Location: IOOBUF_X74_Y54_N9
\B_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|B_L~0_combout\,
	devoe => ww_devoe,
	o => \B_L~output_o\);

-- Location: IOOBUF_X60_Y54_N2
\C_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|C_L~0_combout\,
	devoe => ww_devoe,
	o => \C_L~output_o\);

-- Location: IOOBUF_X62_Y54_N30
\D_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|D_L~0_combout\,
	devoe => ww_devoe,
	o => \D_L~output_o\);

-- Location: IOOBUF_X74_Y54_N2
\E_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|E_L~0_combout\,
	devoe => ww_devoe,
	o => \E_L~output_o\);

-- Location: IOOBUF_X74_Y54_N16
\F_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|F_L~0_combout\,
	devoe => ww_devoe,
	o => \F_L~output_o\);

-- Location: IOOBUF_X74_Y54_N23
\G_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|G_L~1_combout\,
	devoe => ww_devoe,
	o => \G_L~output_o\);

-- Location: IOOBUF_X78_Y49_N9
\TS_L1~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_TS~0_combout\,
	devoe => ww_devoe,
	o => \TS_L1~output_o\);

-- Location: IOOBUF_X78_Y49_N2
\TS_L2~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_TS~0_combout\,
	devoe => ww_devoe,
	o => \TS_L2~output_o\);

-- Location: IOOBUF_X78_Y45_N9
\SEG_L[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~0_combout\,
	devoe => ww_devoe,
	o => \SEG_L[0]~output_o\);

-- Location: IOOBUF_X78_Y40_N16
\SEG_L[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~1_combout\,
	devoe => ww_devoe,
	o => \SEG_L[1]~output_o\);

-- Location: IOOBUF_X78_Y35_N23
\SEG_L[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~2_combout\,
	devoe => ww_devoe,
	o => \SEG_L[2]~output_o\);

-- Location: IOOBUF_X78_Y44_N9
\SEG_L[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~3_combout\,
	devoe => ww_devoe,
	o => \SEG_L[3]~output_o\);

-- Location: IOOBUF_X66_Y54_N30
\SEG_L[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~4_combout\,
	devoe => ww_devoe,
	o => \SEG_L[4]~output_o\);

-- Location: IOOBUF_X64_Y54_N2
\SEG_L[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~5_combout\,
	devoe => ww_devoe,
	o => \SEG_L[5]~output_o\);

-- Location: IOOBUF_X66_Y54_N9
\SEG_L[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~6_combout\,
	devoe => ww_devoe,
	o => \SEG_L[6]~output_o\);

-- Location: IOOBUF_X78_Y44_N2
\SEG_L[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~7_combout\,
	devoe => ww_devoe,
	o => \SEG_L[7]~output_o\);

-- Location: IOOBUF_X78_Y35_N9
\SEG_L[8]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~8_combout\,
	devoe => ww_devoe,
	o => \SEG_L[8]~output_o\);

-- Location: IOOBUF_X69_Y54_N9
\SEG_L[9]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~9_combout\,
	devoe => ww_devoe,
	o => \SEG_L[9]~output_o\);

-- Location: IOOBUF_X78_Y43_N23
\SEG_L[10]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~10_combout\,
	devoe => ww_devoe,
	o => \SEG_L[10]~output_o\);

-- Location: IOOBUF_X78_Y42_N16
\SEG_L[11]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~11_combout\,
	devoe => ww_devoe,
	o => \SEG_L[11]~output_o\);

-- Location: IOOBUF_X78_Y37_N9
\SEG_L[12]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~12_combout\,
	devoe => ww_devoe,
	o => \SEG_L[12]~output_o\);

-- Location: IOOBUF_X78_Y34_N24
\SEG_L[13]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~13_combout\,
	devoe => ww_devoe,
	o => \SEG_L[13]~output_o\);

-- Location: IOOBUF_X78_Y34_N9
\SEG_L[14]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~14_combout\,
	devoe => ww_devoe,
	o => \SEG_L[14]~output_o\);

-- Location: IOOBUF_X78_Y34_N16
\SEG_L[15]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~15_combout\,
	devoe => ww_devoe,
	o => \SEG_L[15]~output_o\);

-- Location: IOOBUF_X46_Y54_N2
\LED[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip1|current_state~q\,
	devoe => ww_devoe,
	o => \LED[0]~output_o\);

-- Location: IOOBUF_X46_Y54_N23
\LED[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip2|current_state~q\,
	devoe => ww_devoe,
	o => \LED[1]~output_o\);

-- Location: IOOBUF_X51_Y54_N16
\LED[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip3|current_state~q\,
	devoe => ww_devoe,
	o => \LED[2]~output_o\);

-- Location: IOOBUF_X46_Y54_N9
\LED[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip4|current_state~q\,
	devoe => ww_devoe,
	o => \LED[3]~output_o\);

-- Location: IOOBUF_X56_Y54_N30
\LED4~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED4~output_o\);

-- Location: IOOBUF_X58_Y54_N23
\LED5~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED5~output_o\);

-- Location: IOOBUF_X66_Y54_N23
\LED6~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED6~output_o\);

-- Location: IOOBUF_X56_Y54_N9
\LED7~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED7~output_o\);

-- Location: IOOBUF_X51_Y54_N9
\LED8~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED8~output_o\);

-- Location: IOOBUF_X49_Y54_N9
\LED9~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED9~output_o\);

-- Location: IOIBUF_X51_Y54_N22
\Sel_freq~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_freq,
	o => \Sel_freq~input_o\);

-- Location: IOIBUF_X34_Y0_N29
\OSC_CLK_in~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_OSC_CLK_in,
	o => \OSC_CLK_in~input_o\);

-- Location: LCCOMB_X45_Y51_N6
\Chip2|Chip5|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|current_state~0_combout\ = !\Chip2|Chip5|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip5|current_state~q\,
	combout => \Chip2|Chip5|current_state~0_combout\);

-- Location: IOIBUF_X46_Y54_N29
\CD_L~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD_L,
	o => \CD_L~input_o\);

-- Location: CLKCTRL_G19
\OSC_CLK_in~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \OSC_CLK_in~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \OSC_CLK_in~inputclkctrl_outclk\);

-- Location: LCCOMB_X45_Y51_N16
\Chip2|Chip1|present_state[0]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[0]~17_combout\ = \Chip2|Chip1|present_state\(0) $ (VCC)
-- \Chip2|Chip1|present_state[0]~18\ = CARRY(\Chip2|Chip1|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(0),
	datad => VCC,
	combout => \Chip2|Chip1|present_state[0]~17_combout\,
	cout => \Chip2|Chip1|present_state[0]~18\);

-- Location: LCCOMB_X45_Y51_N28
\Chip2|Chip1|present_state[6]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[6]~29_combout\ = (\Chip2|Chip1|present_state\(6) & (\Chip2|Chip1|present_state[5]~28\ $ (GND))) # (!\Chip2|Chip1|present_state\(6) & (!\Chip2|Chip1|present_state[5]~28\ & VCC))
-- \Chip2|Chip1|present_state[6]~30\ = CARRY((\Chip2|Chip1|present_state\(6) & !\Chip2|Chip1|present_state[5]~28\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(6),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[5]~28\,
	combout => \Chip2|Chip1|present_state[6]~29_combout\,
	cout => \Chip2|Chip1|present_state[6]~30\);

-- Location: LCCOMB_X45_Y51_N30
\Chip2|Chip1|present_state[7]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[7]~31_combout\ = (\Chip2|Chip1|present_state\(7) & (!\Chip2|Chip1|present_state[6]~30\)) # (!\Chip2|Chip1|present_state\(7) & ((\Chip2|Chip1|present_state[6]~30\) # (GND)))
-- \Chip2|Chip1|present_state[7]~32\ = CARRY((!\Chip2|Chip1|present_state[6]~30\) # (!\Chip2|Chip1|present_state\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(7),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[6]~30\,
	combout => \Chip2|Chip1|present_state[7]~31_combout\,
	cout => \Chip2|Chip1|present_state[7]~32\);

-- Location: FF_X45_Y51_N31
\Chip2|Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[7]~31_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(7));

-- Location: LCCOMB_X45_Y50_N0
\Chip2|Chip1|present_state[8]~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[8]~33_combout\ = (\Chip2|Chip1|present_state\(8) & (\Chip2|Chip1|present_state[7]~32\ $ (GND))) # (!\Chip2|Chip1|present_state\(8) & (!\Chip2|Chip1|present_state[7]~32\ & VCC))
-- \Chip2|Chip1|present_state[8]~34\ = CARRY((\Chip2|Chip1|present_state\(8) & !\Chip2|Chip1|present_state[7]~32\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(8),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[7]~32\,
	combout => \Chip2|Chip1|present_state[8]~33_combout\,
	cout => \Chip2|Chip1|present_state[8]~34\);

-- Location: FF_X45_Y50_N1
\Chip2|Chip1|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[8]~33_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(8));

-- Location: LCCOMB_X45_Y50_N2
\Chip2|Chip1|present_state[9]~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[9]~35_combout\ = (\Chip2|Chip1|present_state\(9) & (!\Chip2|Chip1|present_state[8]~34\)) # (!\Chip2|Chip1|present_state\(9) & ((\Chip2|Chip1|present_state[8]~34\) # (GND)))
-- \Chip2|Chip1|present_state[9]~36\ = CARRY((!\Chip2|Chip1|present_state[8]~34\) # (!\Chip2|Chip1|present_state\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(9),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[8]~34\,
	combout => \Chip2|Chip1|present_state[9]~35_combout\,
	cout => \Chip2|Chip1|present_state[9]~36\);

-- Location: FF_X45_Y50_N3
\Chip2|Chip1|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[9]~35_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(9));

-- Location: LCCOMB_X45_Y50_N4
\Chip2|Chip1|present_state[10]~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[10]~37_combout\ = (\Chip2|Chip1|present_state\(10) & (\Chip2|Chip1|present_state[9]~36\ $ (GND))) # (!\Chip2|Chip1|present_state\(10) & (!\Chip2|Chip1|present_state[9]~36\ & VCC))
-- \Chip2|Chip1|present_state[10]~38\ = CARRY((\Chip2|Chip1|present_state\(10) & !\Chip2|Chip1|present_state[9]~36\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(10),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[9]~36\,
	combout => \Chip2|Chip1|present_state[10]~37_combout\,
	cout => \Chip2|Chip1|present_state[10]~38\);

-- Location: FF_X45_Y50_N5
\Chip2|Chip1|present_state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[10]~37_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(10));

-- Location: LCCOMB_X45_Y50_N6
\Chip2|Chip1|present_state[11]~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[11]~39_combout\ = (\Chip2|Chip1|present_state\(11) & (!\Chip2|Chip1|present_state[10]~38\)) # (!\Chip2|Chip1|present_state\(11) & ((\Chip2|Chip1|present_state[10]~38\) # (GND)))
-- \Chip2|Chip1|present_state[11]~40\ = CARRY((!\Chip2|Chip1|present_state[10]~38\) # (!\Chip2|Chip1|present_state\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(11),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[10]~38\,
	combout => \Chip2|Chip1|present_state[11]~39_combout\,
	cout => \Chip2|Chip1|present_state[11]~40\);

-- Location: FF_X45_Y50_N7
\Chip2|Chip1|present_state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[11]~39_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(11));

-- Location: LCCOMB_X45_Y50_N8
\Chip2|Chip1|present_state[12]~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[12]~41_combout\ = (\Chip2|Chip1|present_state\(12) & (\Chip2|Chip1|present_state[11]~40\ $ (GND))) # (!\Chip2|Chip1|present_state\(12) & (!\Chip2|Chip1|present_state[11]~40\ & VCC))
-- \Chip2|Chip1|present_state[12]~42\ = CARRY((\Chip2|Chip1|present_state\(12) & !\Chip2|Chip1|present_state[11]~40\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(12),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[11]~40\,
	combout => \Chip2|Chip1|present_state[12]~41_combout\,
	cout => \Chip2|Chip1|present_state[12]~42\);

-- Location: FF_X45_Y50_N9
\Chip2|Chip1|present_state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[12]~41_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(12));

-- Location: LCCOMB_X45_Y50_N10
\Chip2|Chip1|present_state[13]~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[13]~43_combout\ = (\Chip2|Chip1|present_state\(13) & (!\Chip2|Chip1|present_state[12]~42\)) # (!\Chip2|Chip1|present_state\(13) & ((\Chip2|Chip1|present_state[12]~42\) # (GND)))
-- \Chip2|Chip1|present_state[13]~44\ = CARRY((!\Chip2|Chip1|present_state[12]~42\) # (!\Chip2|Chip1|present_state\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(13),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[12]~42\,
	combout => \Chip2|Chip1|present_state[13]~43_combout\,
	cout => \Chip2|Chip1|present_state[13]~44\);

-- Location: FF_X45_Y50_N11
\Chip2|Chip1|present_state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[13]~43_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(13));

-- Location: LCCOMB_X45_Y50_N12
\Chip2|Chip1|present_state[14]~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[14]~45_combout\ = (\Chip2|Chip1|present_state\(14) & (\Chip2|Chip1|present_state[13]~44\ $ (GND))) # (!\Chip2|Chip1|present_state\(14) & (!\Chip2|Chip1|present_state[13]~44\ & VCC))
-- \Chip2|Chip1|present_state[14]~46\ = CARRY((\Chip2|Chip1|present_state\(14) & !\Chip2|Chip1|present_state[13]~44\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(14),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[13]~44\,
	combout => \Chip2|Chip1|present_state[14]~45_combout\,
	cout => \Chip2|Chip1|present_state[14]~46\);

-- Location: FF_X45_Y50_N13
\Chip2|Chip1|present_state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[14]~45_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(14));

-- Location: LCCOMB_X45_Y50_N14
\Chip2|Chip1|present_state[15]~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[15]~47_combout\ = (\Chip2|Chip1|present_state\(15) & (!\Chip2|Chip1|present_state[14]~46\)) # (!\Chip2|Chip1|present_state\(15) & ((\Chip2|Chip1|present_state[14]~46\) # (GND)))
-- \Chip2|Chip1|present_state[15]~48\ = CARRY((!\Chip2|Chip1|present_state[14]~46\) # (!\Chip2|Chip1|present_state\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(15),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[14]~46\,
	combout => \Chip2|Chip1|present_state[15]~47_combout\,
	cout => \Chip2|Chip1|present_state[15]~48\);

-- Location: FF_X45_Y50_N15
\Chip2|Chip1|present_state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[15]~47_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(15));

-- Location: LCCOMB_X45_Y50_N16
\Chip2|Chip1|present_state[16]~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[16]~49_combout\ = \Chip2|Chip1|present_state[15]~48\ $ (!\Chip2|Chip1|present_state\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip1|present_state\(16),
	cin => \Chip2|Chip1|present_state[15]~48\,
	combout => \Chip2|Chip1|present_state[16]~49_combout\);

-- Location: FF_X45_Y50_N17
\Chip2|Chip1|present_state[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[16]~49_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(16));

-- Location: LCCOMB_X45_Y50_N18
\Chip2|Chip1|Equal0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~3_combout\ = (\Chip2|Chip1|present_state\(14) & (\Chip2|Chip1|present_state\(16) & (\Chip2|Chip1|present_state\(15) & \Chip2|Chip1|present_state\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(14),
	datab => \Chip2|Chip1|present_state\(16),
	datac => \Chip2|Chip1|present_state\(15),
	datad => \Chip2|Chip1|present_state\(13),
	combout => \Chip2|Chip1|Equal0~3_combout\);

-- Location: LCCOMB_X45_Y51_N14
\Chip2|Chip1|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~0_combout\ = (!\Chip2|Chip1|present_state\(3) & (!\Chip2|Chip1|present_state\(5) & !\Chip2|Chip1|present_state\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(3),
	datac => \Chip2|Chip1|present_state\(5),
	datad => \Chip2|Chip1|present_state\(4),
	combout => \Chip2|Chip1|Equal0~0_combout\);

-- Location: LCCOMB_X45_Y51_N4
\Chip2|Chip1|Equal0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~4_combout\ = (\Chip2|Chip1|present_state\(0) & (\Chip2|Chip1|present_state\(1) & \Chip2|Chip1|present_state\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(0),
	datac => \Chip2|Chip1|present_state\(1),
	datad => \Chip2|Chip1|present_state\(2),
	combout => \Chip2|Chip1|Equal0~4_combout\);

-- Location: LCCOMB_X45_Y50_N20
\Chip2|Chip1|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~1_combout\ = (!\Chip2|Chip1|present_state\(10) & (!\Chip2|Chip1|present_state\(8) & (!\Chip2|Chip1|present_state\(9) & !\Chip2|Chip1|present_state\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(10),
	datab => \Chip2|Chip1|present_state\(8),
	datac => \Chip2|Chip1|present_state\(9),
	datad => \Chip2|Chip1|present_state\(7),
	combout => \Chip2|Chip1|Equal0~1_combout\);

-- Location: LCCOMB_X45_Y50_N26
\Chip2|Chip1|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~2_combout\ = (!\Chip2|Chip1|present_state\(12) & \Chip2|Chip1|Equal0~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip1|present_state\(12),
	datad => \Chip2|Chip1|Equal0~1_combout\,
	combout => \Chip2|Chip1|Equal0~2_combout\);

-- Location: LCCOMB_X45_Y51_N12
\Chip2|Chip1|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~0_combout\ = (\Chip2|Chip1|Equal0~2_combout\ & (((\Chip2|Chip1|Equal0~0_combout\ & !\Chip2|Chip1|Equal0~4_combout\)) # (!\Chip2|Chip1|present_state\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~0_combout\,
	datab => \Chip2|Chip1|present_state\(6),
	datac => \Chip2|Chip1|Equal0~4_combout\,
	datad => \Chip2|Chip1|Equal0~2_combout\,
	combout => \Chip2|Chip1|LessThan0~0_combout\);

-- Location: LCCOMB_X45_Y51_N2
\Chip2|Chip1|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~1_combout\ = (\Chip2|Chip1|Equal0~3_combout\ & (!\Chip2|Chip1|LessThan0~0_combout\ & ((\Chip2|Chip1|present_state\(11)) # (\Chip2|Chip1|present_state\(12)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~3_combout\,
	datab => \Chip2|Chip1|present_state\(11),
	datac => \Chip2|Chip1|present_state\(12),
	datad => \Chip2|Chip1|LessThan0~0_combout\,
	combout => \Chip2|Chip1|LessThan0~1_combout\);

-- Location: FF_X45_Y51_N17
\Chip2|Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[0]~17_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(0));

-- Location: LCCOMB_X45_Y51_N18
\Chip2|Chip1|present_state[1]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[1]~19_combout\ = (\Chip2|Chip1|present_state\(1) & (!\Chip2|Chip1|present_state[0]~18\)) # (!\Chip2|Chip1|present_state\(1) & ((\Chip2|Chip1|present_state[0]~18\) # (GND)))
-- \Chip2|Chip1|present_state[1]~20\ = CARRY((!\Chip2|Chip1|present_state[0]~18\) # (!\Chip2|Chip1|present_state\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(1),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[0]~18\,
	combout => \Chip2|Chip1|present_state[1]~19_combout\,
	cout => \Chip2|Chip1|present_state[1]~20\);

-- Location: FF_X45_Y51_N19
\Chip2|Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[1]~19_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(1));

-- Location: LCCOMB_X45_Y51_N20
\Chip2|Chip1|present_state[2]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[2]~21_combout\ = (\Chip2|Chip1|present_state\(2) & (\Chip2|Chip1|present_state[1]~20\ $ (GND))) # (!\Chip2|Chip1|present_state\(2) & (!\Chip2|Chip1|present_state[1]~20\ & VCC))
-- \Chip2|Chip1|present_state[2]~22\ = CARRY((\Chip2|Chip1|present_state\(2) & !\Chip2|Chip1|present_state[1]~20\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(2),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[1]~20\,
	combout => \Chip2|Chip1|present_state[2]~21_combout\,
	cout => \Chip2|Chip1|present_state[2]~22\);

-- Location: FF_X45_Y51_N21
\Chip2|Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[2]~21_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(2));

-- Location: LCCOMB_X45_Y51_N22
\Chip2|Chip1|present_state[3]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[3]~23_combout\ = (\Chip2|Chip1|present_state\(3) & (!\Chip2|Chip1|present_state[2]~22\)) # (!\Chip2|Chip1|present_state\(3) & ((\Chip2|Chip1|present_state[2]~22\) # (GND)))
-- \Chip2|Chip1|present_state[3]~24\ = CARRY((!\Chip2|Chip1|present_state[2]~22\) # (!\Chip2|Chip1|present_state\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(3),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[2]~22\,
	combout => \Chip2|Chip1|present_state[3]~23_combout\,
	cout => \Chip2|Chip1|present_state[3]~24\);

-- Location: FF_X45_Y51_N23
\Chip2|Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[3]~23_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(3));

-- Location: LCCOMB_X45_Y51_N24
\Chip2|Chip1|present_state[4]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[4]~25_combout\ = (\Chip2|Chip1|present_state\(4) & (\Chip2|Chip1|present_state[3]~24\ $ (GND))) # (!\Chip2|Chip1|present_state\(4) & (!\Chip2|Chip1|present_state[3]~24\ & VCC))
-- \Chip2|Chip1|present_state[4]~26\ = CARRY((\Chip2|Chip1|present_state\(4) & !\Chip2|Chip1|present_state[3]~24\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(4),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[3]~24\,
	combout => \Chip2|Chip1|present_state[4]~25_combout\,
	cout => \Chip2|Chip1|present_state[4]~26\);

-- Location: FF_X45_Y51_N25
\Chip2|Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[4]~25_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(4));

-- Location: LCCOMB_X45_Y51_N26
\Chip2|Chip1|present_state[5]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[5]~27_combout\ = (\Chip2|Chip1|present_state\(5) & (!\Chip2|Chip1|present_state[4]~26\)) # (!\Chip2|Chip1|present_state\(5) & ((\Chip2|Chip1|present_state[4]~26\) # (GND)))
-- \Chip2|Chip1|present_state[5]~28\ = CARRY((!\Chip2|Chip1|present_state[4]~26\) # (!\Chip2|Chip1|present_state\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(5),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[4]~26\,
	combout => \Chip2|Chip1|present_state[5]~27_combout\,
	cout => \Chip2|Chip1|present_state[5]~28\);

-- Location: FF_X45_Y51_N27
\Chip2|Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[5]~27_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(5));

-- Location: FF_X45_Y51_N29
\Chip2|Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[6]~29_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(6));

-- Location: LCCOMB_X45_Y51_N10
\Chip2|Chip1|Equal0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~5_combout\ = (\Chip2|Chip1|present_state\(6) & (\Chip2|Chip1|Equal0~4_combout\ & \Chip2|Chip1|Equal0~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(6),
	datac => \Chip2|Chip1|Equal0~4_combout\,
	datad => \Chip2|Chip1|Equal0~3_combout\,
	combout => \Chip2|Chip1|Equal0~5_combout\);

-- Location: LCCOMB_X46_Y51_N6
\Chip2|Chip2|present_state[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[0]~5_combout\ = \Chip2|Chip2|present_state\(0) $ (VCC)
-- \Chip2|Chip2|present_state[0]~6\ = CARRY(\Chip2|Chip2|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(0),
	datad => VCC,
	combout => \Chip2|Chip2|present_state[0]~5_combout\,
	cout => \Chip2|Chip2|present_state[0]~6\);

-- Location: LCCOMB_X46_Y51_N28
\Chip2|Chip2|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|LessThan0~0_combout\ = (!\Chip2|Chip2|present_state\(3) & (!\Chip2|Chip2|present_state\(2) & ((!\Chip2|Chip2|present_state\(1)) # (!\Chip2|Chip2|present_state\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(0),
	datab => \Chip2|Chip2|present_state\(3),
	datac => \Chip2|Chip2|present_state\(1),
	datad => \Chip2|Chip2|present_state\(2),
	combout => \Chip2|Chip2|LessThan0~0_combout\);

-- Location: LCCOMB_X46_Y51_N26
\Chip2|Chip2|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|LessThan0~1_combout\ = (\Chip2|Chip2|present_state\(4) & !\Chip2|Chip2|LessThan0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip2|present_state\(4),
	datad => \Chip2|Chip2|LessThan0~0_combout\,
	combout => \Chip2|Chip2|LessThan0~1_combout\);

-- Location: LCCOMB_X46_Y51_N24
\Chip2|Chip1|Equal0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~6_combout\ = (\Chip2|Chip1|Equal0~0_combout\ & (\Chip2|Chip1|present_state\(11) & (\Chip2|Chip1|Equal0~2_combout\ & \Chip2|Chip1|Equal0~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~0_combout\,
	datab => \Chip2|Chip1|present_state\(11),
	datac => \Chip2|Chip1|Equal0~2_combout\,
	datad => \Chip2|Chip1|Equal0~5_combout\,
	combout => \Chip2|Chip1|Equal0~6_combout\);

-- Location: FF_X46_Y51_N7
\Chip2|Chip2|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[0]~5_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip2|LessThan0~1_combout\,
	ena => \Chip2|Chip1|Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(0));

-- Location: LCCOMB_X46_Y51_N8
\Chip2|Chip2|present_state[1]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[1]~7_combout\ = (\Chip2|Chip2|present_state\(1) & (!\Chip2|Chip2|present_state[0]~6\)) # (!\Chip2|Chip2|present_state\(1) & ((\Chip2|Chip2|present_state[0]~6\) # (GND)))
-- \Chip2|Chip2|present_state[1]~8\ = CARRY((!\Chip2|Chip2|present_state[0]~6\) # (!\Chip2|Chip2|present_state\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip2|present_state\(1),
	datad => VCC,
	cin => \Chip2|Chip2|present_state[0]~6\,
	combout => \Chip2|Chip2|present_state[1]~7_combout\,
	cout => \Chip2|Chip2|present_state[1]~8\);

-- Location: FF_X46_Y51_N9
\Chip2|Chip2|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[1]~7_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip2|LessThan0~1_combout\,
	ena => \Chip2|Chip1|Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(1));

-- Location: LCCOMB_X46_Y51_N10
\Chip2|Chip2|present_state[2]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[2]~9_combout\ = (\Chip2|Chip2|present_state\(2) & (\Chip2|Chip2|present_state[1]~8\ $ (GND))) # (!\Chip2|Chip2|present_state\(2) & (!\Chip2|Chip2|present_state[1]~8\ & VCC))
-- \Chip2|Chip2|present_state[2]~10\ = CARRY((\Chip2|Chip2|present_state\(2) & !\Chip2|Chip2|present_state[1]~8\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(2),
	datad => VCC,
	cin => \Chip2|Chip2|present_state[1]~8\,
	combout => \Chip2|Chip2|present_state[2]~9_combout\,
	cout => \Chip2|Chip2|present_state[2]~10\);

-- Location: FF_X46_Y51_N11
\Chip2|Chip2|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[2]~9_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip2|LessThan0~1_combout\,
	ena => \Chip2|Chip1|Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(2));

-- Location: LCCOMB_X46_Y51_N12
\Chip2|Chip2|present_state[3]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[3]~11_combout\ = (\Chip2|Chip2|present_state\(3) & (!\Chip2|Chip2|present_state[2]~10\)) # (!\Chip2|Chip2|present_state\(3) & ((\Chip2|Chip2|present_state[2]~10\) # (GND)))
-- \Chip2|Chip2|present_state[3]~12\ = CARRY((!\Chip2|Chip2|present_state[2]~10\) # (!\Chip2|Chip2|present_state\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(3),
	datad => VCC,
	cin => \Chip2|Chip2|present_state[2]~10\,
	combout => \Chip2|Chip2|present_state[3]~11_combout\,
	cout => \Chip2|Chip2|present_state[3]~12\);

-- Location: FF_X46_Y51_N13
\Chip2|Chip2|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[3]~11_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip2|LessThan0~1_combout\,
	ena => \Chip2|Chip1|Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(3));

-- Location: LCCOMB_X46_Y51_N14
\Chip2|Chip2|present_state[4]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[4]~13_combout\ = \Chip2|Chip2|present_state\(4) $ (!\Chip2|Chip2|present_state[3]~12\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip2|present_state\(4),
	cin => \Chip2|Chip2|present_state[3]~12\,
	combout => \Chip2|Chip2|present_state[4]~13_combout\);

-- Location: FF_X46_Y51_N15
\Chip2|Chip2|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[4]~13_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip2|LessThan0~1_combout\,
	ena => \Chip2|Chip1|Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(4));

-- Location: LCCOMB_X46_Y51_N16
\Chip2|Chip2|TC20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|TC20~0_combout\ = (!\Chip2|Chip2|present_state\(2) & (\Chip2|Chip2|present_state\(1) & (!\Chip2|Chip2|present_state\(3) & \Chip2|Chip2|present_state\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(2),
	datab => \Chip2|Chip2|present_state\(1),
	datac => \Chip2|Chip2|present_state\(3),
	datad => \Chip2|Chip2|present_state\(0),
	combout => \Chip2|Chip2|TC20~0_combout\);

-- Location: LCCOMB_X46_Y51_N0
\Chip2|Chip2|TC20~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|TC20~1_combout\ = (\Chip2|Chip2|present_state\(4) & \Chip2|Chip2|TC20~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip2|present_state\(4),
	datad => \Chip2|Chip2|TC20~0_combout\,
	combout => \Chip2|Chip2|TC20~1_combout\);

-- Location: LCCOMB_X45_Y50_N28
\Chip2|Chip1|Equal0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~7_combout\ = (\Chip2|Chip1|present_state\(11) & (!\Chip2|Chip1|present_state\(5) & (!\Chip2|Chip1|present_state\(3) & !\Chip2|Chip1|present_state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(11),
	datab => \Chip2|Chip1|present_state\(5),
	datac => \Chip2|Chip1|present_state\(3),
	datad => \Chip2|Chip1|present_state\(4),
	combout => \Chip2|Chip1|Equal0~7_combout\);

-- Location: LCCOMB_X45_Y51_N8
\Chip2|Chip2|TC20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|TC20~combout\ = (\Chip2|Chip1|Equal0~5_combout\ & (\Chip2|Chip1|Equal0~2_combout\ & (\Chip2|Chip2|TC20~1_combout\ & \Chip2|Chip1|Equal0~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~5_combout\,
	datab => \Chip2|Chip1|Equal0~2_combout\,
	datac => \Chip2|Chip2|TC20~1_combout\,
	datad => \Chip2|Chip1|Equal0~7_combout\,
	combout => \Chip2|Chip2|TC20~combout\);

-- Location: FF_X45_Y51_N7
\Chip2|Chip5|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~input_o\,
	d => \Chip2|Chip5|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip2|TC20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip5|current_state~q\);

-- Location: LCCOMB_X44_Y51_N18
\Chip2|Chip3|future_state~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|future_state~1_combout\ = (\Chip2|Chip3|present_state\(1) & (\Chip2|Chip3|present_state\(0) & (!\Chip2|Chip3|present_state\(3) & \Chip2|Chip3|present_state\(2)))) # (!\Chip2|Chip3|present_state\(1) & (!\Chip2|Chip3|present_state\(0) & 
-- (\Chip2|Chip3|present_state\(3) & !\Chip2|Chip3|present_state\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(0),
	datac => \Chip2|Chip3|present_state\(3),
	datad => \Chip2|Chip3|present_state\(2),
	combout => \Chip2|Chip3|future_state~1_combout\);

-- Location: FF_X44_Y51_N19
\Chip2|Chip3|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip3|future_state~1_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip2|TC20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(3));

-- Location: LCCOMB_X44_Y51_N28
\Chip2|Chip3|future_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|future_state~0_combout\ = (!\Chip2|Chip3|present_state\(0) & (((!\Chip2|Chip3|present_state\(1) & !\Chip2|Chip3|present_state\(2))) # (!\Chip2|Chip3|present_state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(3),
	datac => \Chip2|Chip3|present_state\(0),
	datad => \Chip2|Chip3|present_state\(2),
	combout => \Chip2|Chip3|future_state~0_combout\);

-- Location: FF_X44_Y51_N29
\Chip2|Chip3|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip3|future_state~0_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip2|TC20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(0));

-- Location: LCCOMB_X44_Y51_N30
\Chip2|Chip3|future_state~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|future_state~3_combout\ = (!\Chip2|Chip3|present_state\(3) & (\Chip2|Chip3|present_state\(0) $ (\Chip2|Chip3|present_state\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip3|present_state\(0),
	datac => \Chip2|Chip3|present_state\(1),
	datad => \Chip2|Chip3|present_state\(3),
	combout => \Chip2|Chip3|future_state~3_combout\);

-- Location: FF_X44_Y51_N31
\Chip2|Chip3|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip3|future_state~3_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip2|TC20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(1));

-- Location: LCCOMB_X44_Y51_N12
\Chip2|Chip3|future_state~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|future_state~2_combout\ = (!\Chip2|Chip3|present_state\(3) & (\Chip2|Chip3|present_state\(2) $ (((\Chip2|Chip3|present_state\(1) & \Chip2|Chip3|present_state\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(1),
	datab => \Chip2|Chip3|present_state\(0),
	datac => \Chip2|Chip3|present_state\(2),
	datad => \Chip2|Chip3|present_state\(3),
	combout => \Chip2|Chip3|future_state~2_combout\);

-- Location: FF_X44_Y51_N13
\Chip2|Chip3|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip3|future_state~2_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip2|TC20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|present_state\(2));

-- Location: LCCOMB_X44_Y51_N0
\Chip2|Chip3|TC10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|TC10~0_combout\ = (!\Chip2|Chip3|present_state\(2) & (\Chip2|Chip3|present_state\(0) & (!\Chip2|Chip3|present_state\(1) & \Chip2|Chip3|present_state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|present_state\(2),
	datab => \Chip2|Chip3|present_state\(0),
	datac => \Chip2|Chip3|present_state\(1),
	datad => \Chip2|Chip3|present_state\(3),
	combout => \Chip2|Chip3|TC10~0_combout\);

-- Location: LCCOMB_X46_Y51_N20
\Chip2|Chip6|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|current_state~0_combout\ = \Chip2|Chip6|current_state~q\ $ (((\Chip2|Chip2|TC20~1_combout\ & (\Chip2|Chip3|TC10~0_combout\ & \Chip2|Chip1|Equal0~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|TC20~1_combout\,
	datab => \Chip2|Chip3|TC10~0_combout\,
	datac => \Chip2|Chip6|current_state~q\,
	datad => \Chip2|Chip1|Equal0~6_combout\,
	combout => \Chip2|Chip6|current_state~0_combout\);

-- Location: FF_X46_Y51_N21
\Chip2|Chip6|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~input_o\,
	d => \Chip2|Chip6|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip6|current_state~q\);

-- Location: LCCOMB_X46_Y51_N30
\Chip3|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip3|Y~0_combout\ = (\Sel_freq~input_o\ & (!\Chip2|Chip5|current_state~q\)) # (!\Sel_freq~input_o\ & ((!\Chip2|Chip6|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Sel_freq~input_o\,
	datac => \Chip2|Chip5|current_state~q\,
	datad => \Chip2|Chip6|current_state~q\,
	combout => \Chip3|Y~0_combout\);

-- Location: LCCOMB_X45_Y50_N30
\Chip2|Chip4|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|current_state~0_combout\ = \Chip2|Chip4|current_state~q\ $ (((\Chip2|Chip1|Equal0~2_combout\ & (\Chip2|Chip1|Equal0~7_combout\ & \Chip2|Chip1|Equal0~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~2_combout\,
	datab => \Chip2|Chip1|Equal0~7_combout\,
	datac => \Chip2|Chip4|current_state~q\,
	datad => \Chip2|Chip1|Equal0~5_combout\,
	combout => \Chip2|Chip4|current_state~0_combout\);

-- Location: LCCOMB_X45_Y50_N24
\Chip2|Chip4|current_state~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|current_state~feeder_combout\ = \Chip2|Chip4|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip4|current_state~0_combout\,
	combout => \Chip2|Chip4|current_state~feeder_combout\);

-- Location: FF_X45_Y50_N25
\Chip2|Chip4|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip4|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|current_state~q\);

-- Location: IOIBUF_X49_Y54_N29
\CP_L~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CP_L,
	o => \CP_L~input_o\);

-- Location: CLKCTRL_G11
\Chip2|Chip4|current_state~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \Chip2|Chip4|current_state~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \Chip2|Chip4|current_state~clkctrl_outclk\);

-- Location: LCCOMB_X50_Y50_N6
\Chip9|next_state.One_zero_detected~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|next_state.One_zero_detected~0_combout\ = (!\Chip9|current_state.Idle~q\ & !\CP_L~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip9|current_state.Idle~q\,
	datad => \CP_L~input_o\,
	combout => \Chip9|next_state.One_zero_detected~0_combout\);

-- Location: FF_X50_Y50_N7
\Chip9|current_state.One_zero_detected\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~q\,
	d => \Chip9|next_state.One_zero_detected~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.One_zero_detected~q\);

-- Location: LCCOMB_X50_Y50_N14
\Chip9|next_state.Two_zeroes_detected~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|next_state.Two_zeroes_detected~0_combout\ = (!\CP_L~input_o\ & \Chip9|current_state.One_zero_detected~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CP_L~input_o\,
	datad => \Chip9|current_state.One_zero_detected~q\,
	combout => \Chip9|next_state.Two_zeroes_detected~0_combout\);

-- Location: FF_X50_Y50_N15
\Chip9|current_state.Two_zeroes_detected\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~q\,
	d => \Chip9|next_state.Two_zeroes_detected~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.Two_zeroes_detected~q\);

-- Location: LCCOMB_X50_Y50_N22
\Chip9|next_state.Three_zeroes_detected~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|next_state.Three_zeroes_detected~0_combout\ = (\Chip9|current_state.Two_zeroes_detected~q\ & !\CP_L~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip9|current_state.Two_zeroes_detected~q\,
	datad => \CP_L~input_o\,
	combout => \Chip9|next_state.Three_zeroes_detected~0_combout\);

-- Location: LCCOMB_X50_Y50_N16
\Chip9|current_state.Three_zeroes_detected~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|current_state.Three_zeroes_detected~feeder_combout\ = \Chip9|next_state.Three_zeroes_detected~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip9|next_state.Three_zeroes_detected~0_combout\,
	combout => \Chip9|current_state.Three_zeroes_detected~feeder_combout\);

-- Location: FF_X50_Y50_N17
\Chip9|current_state.Three_zeroes_detected\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~clkctrl_outclk\,
	d => \Chip9|current_state.Three_zeroes_detected~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.Three_zeroes_detected~q\);

-- Location: LCCOMB_X50_Y50_N18
\Chip9|next_state.One_high~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|next_state.One_high~0_combout\ = (\Chip9|current_state.Key_presed~q\ & \CP_L~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip9|current_state.Key_presed~q\,
	datad => \CP_L~input_o\,
	combout => \Chip9|next_state.One_high~0_combout\);

-- Location: FF_X50_Y50_N19
\Chip9|current_state.One_high\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~clkctrl_outclk\,
	d => \Chip9|next_state.One_high~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.One_high~q\);

-- Location: LCCOMB_X50_Y50_N26
\Chip9|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|Selector0~0_combout\ = (\Chip9|current_state.Three_zeroes_detected~q\) # ((!\CP_L~input_o\ & ((\Chip9|current_state.Key_presed~q\) # (\Chip9|current_state.One_high~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CP_L~input_o\,
	datab => \Chip9|current_state.Three_zeroes_detected~q\,
	datac => \Chip9|current_state.Key_presed~q\,
	datad => \Chip9|current_state.One_high~q\,
	combout => \Chip9|Selector0~0_combout\);

-- Location: FF_X50_Y50_N27
\Chip9|current_state.Key_presed\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~clkctrl_outclk\,
	d => \Chip9|Selector0~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.Key_presed~q\);

-- Location: LCCOMB_X50_Y50_N24
\Chip9|next_state.Idle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|next_state.Idle~0_combout\ = ((\Chip9|current_state.Key_presed~q\) # (\Chip9|current_state.Three_zeroes_detected~q\)) # (!\CP_L~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CP_L~input_o\,
	datac => \Chip9|current_state.Key_presed~q\,
	datad => \Chip9|current_state.Three_zeroes_detected~q\,
	combout => \Chip9|next_state.Idle~0_combout\);

-- Location: FF_X50_Y50_N25
\Chip9|current_state.Idle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip2|Chip4|current_state~q\,
	d => \Chip9|next_state.Idle~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip9|current_state.Idle~q\);

-- Location: LCCOMB_X50_Y50_N30
\Chip9|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip9|WideOr0~0_combout\ = ((\Chip9|current_state.Two_zeroes_detected~q\) # (\Chip9|current_state.One_zero_detected~q\)) # (!\Chip9|current_state.Idle~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip9|current_state.Idle~q\,
	datac => \Chip9|current_state.Two_zeroes_detected~q\,
	datad => \Chip9|current_state.One_zero_detected~q\,
	combout => \Chip9|WideOr0~0_combout\);

-- Location: IOIBUF_X51_Y54_N29
\Sel_CLK~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_CLK,
	o => \Sel_CLK~input_o\);

-- Location: LCCOMB_X50_Y50_N28
\Chip4|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip4|Y~0_combout\ = LCELL((\Sel_CLK~input_o\ & ((!\Chip9|WideOr0~0_combout\))) # (!\Sel_CLK~input_o\ & (!\Chip3|Y~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Y~0_combout\,
	datac => \Chip9|WideOr0~0_combout\,
	datad => \Sel_CLK~input_o\,
	combout => \Chip4|Y~0_combout\);

-- Location: LCCOMB_X59_Y50_N4
\Chip1|Chip1|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip1|current_state~0_combout\ = !\Chip1|Chip1|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip1|Chip1|current_state~q\,
	combout => \Chip1|Chip1|current_state~0_combout\);

-- Location: LCCOMB_X59_Y50_N16
\Chip1|Chip1|current_state~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip1|current_state~feeder_combout\ = \Chip1|Chip1|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|Chip1|current_state~0_combout\,
	combout => \Chip1|Chip1|current_state~feeder_combout\);

-- Location: FF_X59_Y50_N17
\Chip1|Chip1|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip4|Y~0_combout\,
	d => \Chip1|Chip1|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip1|current_state~q\);

-- Location: LCCOMB_X59_Y50_N12
\Chip1|Chip2|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip2|current_state~0_combout\ = !\Chip1|Chip2|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip2|current_state~q\,
	combout => \Chip1|Chip2|current_state~0_combout\);

-- Location: LCCOMB_X59_Y50_N18
\Chip1|Chip2|current_state~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip2|current_state~feeder_combout\ = \Chip1|Chip2|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip2|current_state~0_combout\,
	combout => \Chip1|Chip2|current_state~feeder_combout\);

-- Location: FF_X59_Y50_N19
\Chip1|Chip2|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip1|current_state~q\,
	d => \Chip1|Chip2|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip2|current_state~q\);

-- Location: LCCOMB_X58_Y50_N26
\Chip1|Chip3|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip3|current_state~0_combout\ = !\Chip1|Chip3|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip3|current_state~q\,
	combout => \Chip1|Chip3|current_state~0_combout\);

-- Location: LCCOMB_X58_Y50_N22
\Chip1|Chip3|current_state~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip3|current_state~feeder_combout\ = \Chip1|Chip3|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|Chip3|current_state~0_combout\,
	combout => \Chip1|Chip3|current_state~feeder_combout\);

-- Location: FF_X58_Y50_N23
\Chip1|Chip3|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip2|current_state~q\,
	d => \Chip1|Chip3|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip3|current_state~q\);

-- Location: LCCOMB_X58_Y50_N28
\Chip1|Chip4|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip4|current_state~0_combout\ = !\Chip1|Chip4|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip4|current_state~q\,
	combout => \Chip1|Chip4|current_state~0_combout\);

-- Location: FF_X58_Y50_N29
\Chip1|Chip4|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip3|current_state~q\,
	d => \Chip1|Chip4|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip4|current_state~q\);

-- Location: IOIBUF_X69_Y54_N1
\Sel_code~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_code,
	o => \Sel_code~input_o\);

-- Location: LCCOMB_X70_Y50_N20
\Chip7|Y~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~2_combout\ = (\Chip1|Chip4|current_state~q\ & ((\Chip1|Chip2|current_state~q\ & ((!\Sel_code~input_o\))) # (!\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & \Sel_code~input_o\)))) # (!\Chip1|Chip4|current_state~q\ & 
-- (((\Chip1|Chip2|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip4|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Sel_code~input_o\,
	combout => \Chip7|Y~2_combout\);

-- Location: LCCOMB_X70_Y50_N2
\Chip7|Y~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~1_combout\ = (\Chip1|Chip3|current_state~q\ & (((\Chip1|Chip2|current_state~q\) # (!\Sel_code~input_o\)) # (!\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip4|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Sel_code~input_o\,
	combout => \Chip7|Y~1_combout\);

-- Location: LCCOMB_X70_Y50_N12
\Chip7|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~0_combout\ = (\Chip1|Chip4|current_state~q\ & (((!\Chip1|Chip3|current_state~q\ & !\Chip1|Chip2|current_state~q\)) # (!\Sel_code~input_o\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip4|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Sel_code~input_o\,
	combout => \Chip7|Y~0_combout\);

-- Location: LCCOMB_X70_Y53_N4
\Chip8|A_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|A_L~0_combout\ = (\Chip7|Y~1_combout\ & (!\Chip7|Y~2_combout\ & (\Chip1|Chip1|current_state~q\ $ (!\Chip7|Y~0_combout\)))) # (!\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~2_combout\ $ (!\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000000010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|A_L~0_combout\);

-- Location: LCCOMB_X70_Y53_N26
\Chip8|B_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|B_L~0_combout\ = (\Chip7|Y~2_combout\ & ((\Chip1|Chip1|current_state~q\ & ((\Chip7|Y~0_combout\))) # (!\Chip1|Chip1|current_state~q\ & (\Chip7|Y~1_combout\)))) # (!\Chip7|Y~2_combout\ & (\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\ $ 
-- (\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|B_L~0_combout\);

-- Location: LCCOMB_X70_Y53_N24
\Chip8|C_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|C_L~0_combout\ = (\Chip7|Y~1_combout\ & (\Chip7|Y~0_combout\ & ((\Chip7|Y~2_combout\) # (!\Chip1|Chip1|current_state~q\)))) # (!\Chip7|Y~1_combout\ & (\Chip7|Y~2_combout\ & (!\Chip1|Chip1|current_state~q\ & !\Chip7|Y~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|C_L~0_combout\);

-- Location: LCCOMB_X70_Y53_N6
\Chip8|D_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|D_L~0_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~2_combout\ $ ((!\Chip7|Y~1_combout\)))) # (!\Chip1|Chip1|current_state~q\ & ((\Chip7|Y~2_combout\ & (!\Chip7|Y~1_combout\ & \Chip7|Y~0_combout\)) # (!\Chip7|Y~2_combout\ & 
-- (\Chip7|Y~1_combout\ & !\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001001010010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|D_L~0_combout\);

-- Location: LCCOMB_X70_Y53_N0
\Chip8|E_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|E_L~0_combout\ = (\Chip7|Y~2_combout\ & (((\Chip1|Chip1|current_state~q\ & !\Chip7|Y~0_combout\)))) # (!\Chip7|Y~2_combout\ & ((\Chip7|Y~1_combout\ & ((!\Chip7|Y~0_combout\))) # (!\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|E_L~0_combout\);

-- Location: LCCOMB_X70_Y53_N30
\Chip8|F_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|F_L~0_combout\ = (\Chip7|Y~2_combout\ & (!\Chip7|Y~0_combout\ & ((\Chip1|Chip1|current_state~q\) # (!\Chip7|Y~1_combout\)))) # (!\Chip7|Y~2_combout\ & (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~1_combout\ $ (!\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000010110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|F_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N10
\Chip8|G_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|G_L~0_combout\ = (\Chip1|Chip4|current_state~q\ & ((\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Sel_code~input_o\)) # (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Sel_code~input_o\)))) # 
-- (!\Chip1|Chip4|current_state~q\ & (\Chip1|Chip3|current_state~q\ $ ((!\Chip1|Chip2|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000101001001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip4|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Sel_code~input_o\,
	combout => \Chip8|G_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N4
\Chip8|G_L~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|G_L~1_combout\ = (\Chip8|G_L~0_combout\ & ((\Chip1|Chip1|current_state~q\ $ (!\Chip1|Chip2|current_state~q\)) # (!\Chip1|Chip3|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip8|G_L~0_combout\,
	combout => \Chip8|G_L~1_combout\);

-- Location: LCCOMB_X70_Y50_N30
\TS~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \TS~0_combout\ = (\Chip1|Chip4|current_state~q\ & (\Sel_code~input_o\ & ((\Chip1|Chip3|current_state~q\) # (\Chip1|Chip2|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip4|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Sel_code~input_o\,
	combout => \TS~0_combout\);

-- Location: LCCOMB_X71_Y50_N20
\Chip5|Mux15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~0_combout\ = (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~0_combout\);

-- Location: LCCOMB_X71_Y50_N18
\Chip5|Mux15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~1_combout\ = (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~1_combout\);

-- Location: LCCOMB_X71_Y50_N16
\Chip5|Mux15~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~2_combout\ = (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~2_combout\);

-- Location: LCCOMB_X71_Y50_N6
\Chip5|Mux15~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~3_combout\ = (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~3_combout\);

-- Location: LCCOMB_X70_Y50_N24
\Chip5|Mux15~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~4_combout\ = (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~4_combout\);

-- Location: LCCOMB_X70_Y50_N18
\Chip5|Mux15~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~5_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~5_combout\);

-- Location: LCCOMB_X70_Y50_N0
\Chip5|Mux15~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~6_combout\ = (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~6_combout\);

-- Location: LCCOMB_X71_Y50_N0
\Chip5|Mux15~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~7_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~7_combout\);

-- Location: LCCOMB_X71_Y50_N30
\Chip5|Mux15~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~8_combout\ = (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~8_combout\);

-- Location: LCCOMB_X71_Y50_N12
\Chip5|Mux15~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~9_combout\ = (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~9_combout\);

-- Location: LCCOMB_X71_Y50_N26
\Chip5|Mux15~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~10_combout\ = (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~10_combout\);

-- Location: LCCOMB_X71_Y50_N4
\Chip5|Mux15~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~11_combout\ = (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~11_combout\);

-- Location: LCCOMB_X71_Y50_N10
\Chip5|Mux15~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~12_combout\ = (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~12_combout\);

-- Location: LCCOMB_X71_Y50_N28
\Chip5|Mux15~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~13_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~13_combout\);

-- Location: LCCOMB_X71_Y50_N14
\Chip5|Mux15~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~14_combout\ = (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~14_combout\);

-- Location: LCCOMB_X71_Y50_N24
\Chip5|Mux15~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~15_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~15_combout\);

-- Location: UNVM_X0_Y40_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_end_addr => -1,
	addr_range2_offset => -1,
	addr_range3_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X43_Y52_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);

-- Location: ADCBLOCK_X43_Y51_N0
\~QUARTUS_CREATED_ADC2~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 2,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC2~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC2~~eoc\);

ww_A_L <= \A_L~output_o\;

ww_B_L <= \B_L~output_o\;

ww_C_L <= \C_L~output_o\;

ww_D_L <= \D_L~output_o\;

ww_E_L <= \E_L~output_o\;

ww_F_L <= \F_L~output_o\;

ww_G_L <= \G_L~output_o\;

ww_TS_L1 <= \TS_L1~output_o\;

ww_TS_L2 <= \TS_L2~output_o\;

ww_SEG_L(0) <= \SEG_L[0]~output_o\;

ww_SEG_L(1) <= \SEG_L[1]~output_o\;

ww_SEG_L(2) <= \SEG_L[2]~output_o\;

ww_SEG_L(3) <= \SEG_L[3]~output_o\;

ww_SEG_L(4) <= \SEG_L[4]~output_o\;

ww_SEG_L(5) <= \SEG_L[5]~output_o\;

ww_SEG_L(6) <= \SEG_L[6]~output_o\;

ww_SEG_L(7) <= \SEG_L[7]~output_o\;

ww_SEG_L(8) <= \SEG_L[8]~output_o\;

ww_SEG_L(9) <= \SEG_L[9]~output_o\;

ww_SEG_L(10) <= \SEG_L[10]~output_o\;

ww_SEG_L(11) <= \SEG_L[11]~output_o\;

ww_SEG_L(12) <= \SEG_L[12]~output_o\;

ww_SEG_L(13) <= \SEG_L[13]~output_o\;

ww_SEG_L(14) <= \SEG_L[14]~output_o\;

ww_SEG_L(15) <= \SEG_L[15]~output_o\;

ww_LED(0) <= \LED[0]~output_o\;

ww_LED(1) <= \LED[1]~output_o\;

ww_LED(2) <= \LED[2]~output_o\;

ww_LED(3) <= \LED[3]~output_o\;

ww_LED4 <= \LED4~output_o\;

ww_LED5 <= \LED5~output_o\;

ww_LED6 <= \LED6~output_o\;

ww_LED7 <= \LED7~output_o\;

ww_LED8 <= \LED8~output_o\;

ww_LED9 <= \LED9~output_o\;
END structure;


